#
# spec file for package bareos-vmware-vix-disklib
#
# Contains redistributable files published and (c) by VMware,
# packaged by Bareos GmbH & Co. KG
#
# License, usage and distribution information:
# https://communities.vmware.com/viewwebdoc.jspa?documentID=DOC-10141
# contact: sdk_legal@vmware.com

%define VDDK_VERSION 8.0.3
%define VDDK_BUILD 23950268
%define debug_package %{nil}

Name:           bareos-vmware-vix-disklib
Version:        %{VDDK_VERSION}_%{VDDK_BUILD}
Release:        1%{?dist}
License:        VMware
Summary:        VMware vix disklib distributable libraries
Url:            https://www.vmware.com/support/developer/vddk/
Group:          Productivity/Archiving/Backup
Source:         VMware-vix-disklib-%{VDDK_VERSION}-%{VDDK_BUILD}-only_redistributable_libs.x86_64.tar.gz
BuildArch:      x86_64
AutoReqProv:	no
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Virtual Disk Development Kit (VDDK) is a collection of C/C++ libraries,
code samples, utilities, and documentation to help you create and access
VMware virtual disk storage. The VDDK is useful in conjunction with the
vSphere API for writing backup and recovery software, or similar applications.
This package only contains the distributable code to comply with
https://communities.vmware.com/viewwebdoc.jspa?documentID=DOC-10141


%prep
%setup -q -n vmware-vix-disklib-distrib

%build

%install
mkdir -p %buildroot/usr/lib/vmware-vix-disklib/lib64
cp -av lib64/*.so*  %buildroot/usr/lib/vmware-vix-disklib/lib64

%files
%defattr(-,root,root)
%dir /usr/lib/vmware-vix-disklib
/usr/lib/vmware-vix-disklib/lib64

%changelog

